### 问题表现

支付后，跳转到订单页显示未支付

### 问题原因

1. 系统支付回调只支持form-data参数，不支持json
2. epusdt插件验签方法有点问题


>问题1的解决办法：

打开`app/Controller/User/Api/Order.php`

把`callback`函数换成下面的

```
    public function callback(): string
    {
        $handle = $_GET['_PARAMETER'][0];
        $data = $_POST;
        if (empty($data)) {
            $data = $_REQUEST;
            unset($data['s']);
        }
        if (empty($data)) {
            $data = file_get_contents('php://input');
        }
        return $this->order->callback($handle, $data);
    }
```

>问题2的解决办法：
打开`app/Pay/Epusdt/Impl/Signature.php`
把`generateSignature`函数换成下面的

```
    public static function generateSignature(array $parameter, string $signKey)
    {
        ksort($parameter);
        reset($parameter); 
        $sign = '';
        foreach ($parameter as $key => $val) {
            if ($val == '') continue;
            if ($key != 'signature') {
                if ($sign != '') {
                    $sign .= "&";
                }
                $sign .= "$key=$val"; 
            }
        }
        $sign = md5($sign.$signKey);
        return $sign;
    }
```